RDKit: RDKit::RascalMCES::PartitionSet Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
RDKit::RascalMCES::PartitionSet Class Reference

`#include <PartitionSet.h>`

## Public Member Functions
| PartitionSet (const std::vector< boost::dynamic_bitset<> > &modProd, const std::vector< std::pair< int, int > > &vtxPairs, const std::vector< unsigned int > &vtx1Labels, const std::vector< unsigned int > &vtx2Labels, unsigned int lowerBound)
bool | isEmpty () const
size_t | numParts () const
int | upperBound ()
unsigned int | popLastVertex ()
void | pruneVertices (unsigned int vtx_num)

## Friends
std::ostream & | operator<< (std::ostream &os, const PartitionSet &pt)

## Detailed Description

Definition at line 25 of file PartitionSet.h.

## Constructor & Destructor Documentation

## ◆ PartitionSet()

RDKit::RascalMCES::PartitionSet::PartitionSet | ( | const std::vector< boost::dynamic_bitset<> > & | modProd,
|  | const std::vector< std::pair< int, int > > & | vtxPairs,
|  | const std::vector< unsigned int > & | vtx1Labels,
|  | const std::vector< unsigned int > & | vtx2Labels,
|  | unsigned int | lowerBound )

Referenced by operator<<.

## Member Function Documentation

## ◆ isEmpty()

bool RDKit::RascalMCES::PartitionSet::isEmpty | ( |  | ) | const
| inline

Definition at line 37 of file PartitionSet.h.

## ◆ numParts()

size_t RDKit::RascalMCES::PartitionSet::numParts | ( |  | ) | const
| inline

Definition at line 39 of file PartitionSet.h.

## ◆ popLastVertex()

unsigned int RDKit::RascalMCES::PartitionSet::popLastVertex | ( |  | ) |

## ◆ pruneVertices()

void RDKit::RascalMCES::PartitionSet::pruneVertices | ( | unsigned int | vtx_num | ) |

## ◆ upperBound()

int RDKit::RascalMCES::PartitionSet::upperBound | ( |  | ) |

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PartitionSet & | pt )
| friend

References PartitionSet().

The documentation for this class was generated from the following file:

- PartitionSet.h